Page MenuHomePhabricator

Text in VE's re-use citation menu should wrap
Closed, ResolvedPublic1 Story Points

Description

Currently, each citation in the re-use citation menu occupies only one line, and any citations that are wider than the dialog are simply cut off, which often leaves too little content to help editors decide which one to re-use:

Citations should text wrap onto the next line, possibly being truncated with an ellipsis after taking up three lines.

Event Timeline

Neil_P._Quinn_WMF raised the priority of this task from to High.
Neil_P._Quinn_WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 6:23 PM
Neil_P._Quinn_WMF set Security to None.

That white-space: normal in modules/ve-mw/ui/styles/widgets/ve.ui.MWReferenceResultWidget.css is being overridden by the white-space: nowrap rule for .oo-ui-optionWidget.oo-ui-labelElement .oo-ui-labelElement-label

Change 211523 had a related patch set uploaded (by Alex Monk):
Make sure reference result menu can wrap

https://gerrit.wikimedia.org/r/211523

Krenair claimed this task.May 17 2015, 1:25 PM
Jdforrester-WMF closed this task as Resolved.Jun 4 2015, 10:28 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Doing to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 211523 merged by jenkins-bot:
Make sure reference result menu can wrap

https://gerrit.wikimedia.org/r/211523